function popWin(sURL, sName, iWidth, iHeight) {
	switch(popWin.arguments.length) {
		case 6:
			launchPopUpWindow(sURL, sName, iWidth, iHeight, popWin.arguments[4], popWin.arguments[5]);
			break;
		case 5:
			launchPopUpWindow(sURL, sName, iWidth, iHeight, popWin.arguments[4]);
			break;
		default:
			launchPopUpWindow(sURL, sName, iWidth, iHeight);
			break;
	}
}

function launchPopUpWindow(sURL, sName, iWidth, iHeight/* quadrant location using integer, boolean for scroll */) {
	if (launchPopUpWindow.arguments.length > 4) {
		iQuadrantID = launchPopUpWindow.arguments[4];
	} else {
		iQuadrantID = 5;
	}
	if (launchPopUpWindow.arguments.length > 5) {
		bScroll = launchPopUpWindow.arguments[5];
	} else {
		bScroll = false;
	}
	if (iHeight > screen.height) {
		if (bScroll){
			iHeight = screen.availHheight;
		} else {
			bScroll = true;
			iHeight = screen.availHeight;
			iWidth = iWidth + 20;
		}
	}
	if (iWidth > screen.width) {
		if (bScroll){
			iWidth = screen.availWidth;
		} else {
			iWidth = screen.availWidth;
			bScroll = true;
		}
	}
	iTopX = 0;
	iTopY = 0;
	switch(iQuadrantID){
		case 1:
			iTopX = 0;
			iTopY = 0;
			break;
		case 2:
			iTopX = (screen.width / 2) - (iWidth / 2);
			iTopY = 0;
			break;
		case 3:
			iTopX = screen.width - iWidth;
			iTopY = 0;
			break;
		case 4:
			iTopX = 0;
			iTopY = (screen.height / 2) - (iHeight / 2);
			break;
		case 5:
			iTopX = (screen.width / 2) - (iWidth / 2);
			iTopY = (screen.height / 2) - (iHeight / 2);
			break;
		case 6:
			iTopX = screen.width - iWidth;
			iTopY = (screen.height / 2) - (iHeight / 2);
			break;
		case 7:
			iTopX = 0
			iTopY = screen.height - iHeight;
			break;
		case 8:
			iTopX = (screen.width / 2) - (iWidth / 2);
			iTopY = screen.height - iHeight;
			break;
		case 9:
			iTopX = screen.width - iWidth;
			iTopY = screen.height - iHeight;
			break;
		default:
			iTopX = (screen.width / 2) - (iWidth / 2);
			iTopY = (screen.height / 2) - (iHeight / 2);
			break;
	}
	if (bScroll) {
		sScrollOption = "yes";
	} else {
		sScrollOption = "no";
	}
	void(mywin=window.open(sURL, sName,'width='+iWidth+',height='+iHeight+',top='+iTopY+',left='+iTopX+',toolbar=no,scrollbars='+sScrollOption+',resizable=no,menubar=no,status=no,directories=no,location=no'));
	mywin.focus();
}